# Uses of Interface
org.eclipse.birt.chart.model.type.TypePackage

Packages that use TypePackage
Package
Description
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of TypePackage in org.eclipse.birt.chart.model.type

Fields in org.eclipse.birt.chart.model.type declared as TypePackage
Modifier and Type
Field
Description
`static final TypePackage`
TypePackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.birt.chart.model.type that return TypePackage
Modifier and Type
Method
Description
`TypePackage`
TypeFactory.`getTypePackage()`
Returns the package supported by this factory.

## Uses of TypePackage in org.eclipse.birt.chart.model.type.impl

Classes in org.eclipse.birt.chart.model.type.impl that implement TypePackage
Modifier and Type
Class
Description
`class`
`TypePackageImpl`
An implementation of the model Package .
Methods in org.eclipse.birt.chart.model.type.impl that return TypePackage
Modifier and Type
Method
Description
`static TypePackage`
TypeFactoryImpl.`getPackage()`
Deprecated.
`TypePackage`
TypeFactoryImpl.`getTypePackage()`
`static TypePackage`
TypePackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.